
.blog-section .blog-post-container {
  display: flex;
  gap: 40px;
}

.blog-section .blog-main-content {
  flex: 2;
}

.blog-section .blog-sidebar {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.blog-section .featured-image-wrapper img {
  width: 100%;
  height: auto;
  border-radius: 4px;
}

.blog-section .post-meta {
  margin: 15px 0;
  color: #777;
  font-size: 14px;
  display: flex;
  gap: 20px;
}

.blog-section .post-title {
  color: #222;
  font-size: 28px;
  margin: 0 0 20px 0;
  font-weight: 600;
}

.blog-section .post-body img {
  max-width: 100%;
  height: auto;
  margin: 20px 0;
  border-radius: 4px;
}

.blog-section .post-body h2 {
  font-size: 22px;
  margin-top: 25px;
}

.blog-section .post-body p {
  line-height: 1.6;
  color: #555;
  margin-bottom: 15px;`
}


.blog-section .sidebar-card {
  background: #fff;
  border: 1px solid #e7f1f3;
  border-radius: 8px;
  box-shadow: 0 2px 8px rgb(0 0 0 / 11%);
  padding: 20px;
}

.blog-section .widget-title {
  border-bottom: 1px solid #00494d;
  color: #00494d;
  font-size: 20px;
  font-weight: 700;
  margin: 0 0 15px;
  padding-bottom: 8px;
}

.blog-section .search-box form {
  display: flex;
  position: relative;
  background: transparent;
}

.blog-section .search-box input {
  width: 100%;
  padding: 10px 40px 10px 15px;
  border: 1px solid #1a365d;
  border-radius: 8px;
  outline: none;
}

.blog-section .search-box button {
  background: #00494d;
  border: none;
  border-radius: 50%;
  color: #fff;
  cursor: pointer;
  height: 30px;
  position: absolute;
  right: 5px;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.categories-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.blog-section .categories-list li a {
  background: #00494d;
  border-radius: 8px;
  color: #fff;
  display: flex;
  font-size: 16px;
  justify-content: space-between;
  margin-bottom: 8px;
  padding: 12px 15px;
  text-decoration: none;
  align-items: center;
}

.blog-section .popular-post-item {
  align-items: center;
  background: #e7f1f3;
  border-radius: 8px;
  display: flex;
  gap: 12px;
  margin-bottom: 12px;
  padding: 10px;
}

.blog-section .popular-post-img img {
  width: 60px;
  height: 60px;
  object-fit: cover;
  border-radius: 6px;
}

.blog-section .popular-post-title {
  color: #00494d;
  display: block;
  font-size: 15px;
  font-weight: 700;
  line-height: 1.3;
  text-decoration: none;
}

.blog-section .popular-post-date {
  font-size: 11px;
  color: #888;
}


@media only screen and (max-width: 767px) {

  .blog-section .blog-post-container {
    flex-direction: column;
    gap: 20px;
  }

  .blog-section .blog-sidebar {
    gap: 20px;
  }
}
@media only screen and (min-width: 768px) and (max-width: 991px) {

  .blog-section .blog-main-content {
    flex: 1.5;
  }
  .blog-section .blog-post-container {
    gap: 20px;
  }
  .blog-section .popular-post-img img {
    height: 50px;
    width: 150px;
  }

  .blog-section .popular-post-item {
    align-items: flex-start;
  }
}

